Redmine - Patch #27009

Clarify consequences of disabling the login_required setting
2017-09-15 16:35 - Holger Just

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.0.0

Description

When an administrator disabled the login_required setting and/or sets projects as public, this can have grave consequences for the
protection of the data in-house projects. If this is done carelessly, confidential data might be exposed to undesired audiences (e.g.
the global unauthenticated internet).

The attached patches try to make the consequences of these settings clearer by making them more prominent and explain their
consequences to the user. This helps admins and project managers make the correct decisions.

We use these patches on Planio where all accounts require authentication by default. But even for "older" Redmine installations
which might have some internal public projects it might still be surprising that they are suddenly public when not enforcing
authentication anymore.

Related issues:
Related to Redmine - Feature #35044: Show notice on project's overview page w... New

Associated revisions

Revision 17310 - 2018-04-26 16:36 - Go MAEDA
Clarify consequences of disabling the login_required (#27009).

Patch by Holger Just.

Revision 17311 - 2018-04-26 16:37 - Go MAEDA

Clarify consequences of setting a project as public (#27009).

Patch by Holger Just.

Revision 17312 - 2018-04-26 16:40 - Go MAEDA
Update locales (#27009).

History

#1 - 2017-09-15 16:50 - Jan from Planio www.plan.io
- Description updated

- Target version set to Candidate for next minor release

#2 - 2017-09-16 16:08 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.0

| think this patch is very valuable because sometimes | find a Redmine instance which unintentionally exposes internal projects on the internet. This
patch can prevent users from making such inappropriate settings.

| am setting target version to 4.1.0.

#3 - 2017-10-15 11:37 - Toshi MARUYAMA

- Description updated

#4 - 2018-04-11 09:47 - Go MAEDA

| think we should slightly change messages in the patch, replace the word "Internet" with "network" because Redmine may be deployed on intranets.

e text_login_required_html:
https://plan.io/redmine-hosting/

When not requiring authentication, public projects and their contents are openly available on the trterret network.
e text_project_is_public_anonymous:
Public projects and their contents are openly available on the irternet network.

#5 - 2018-04-20 15:13 - Holger Just
- File 0001-Clarify-consequences-of-disabling-the-login_required.patch added
- File 0002-Clarify-consequences-of-setting-a-project-as-public.patch added

| just updated the patches with the wording changes proposed by Maeda-san.
| also rebased the patches on the current trunk at r17295.

#6 - 2018-04-26 16:41 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0
Committed. Thank you for sharing the patches.

#7 - 2021-04-06 18:07 - Go MAEDA

- Related to Feature #35044: Show notice on project's overview page when the project is public added

Files

0001-Clarify-consequences-of-disabling-the-login_required.patch 2.79 KB 2017-09-15 Holger Just
0002-Clarify-consequences-of-setting-a-project-as-public.patch 2.69 KB 2017-09-15 Holger Just
0001-Clarify-consequences-of-disabling-the-login_required.patch 2.72 KB 2018-04-20 Holger Just
0002-Clarify-consequences-of-setting-a-project-as-public.patch 2.66 KB 2018-04-20 Holger Just
